//
//  FKFlickrGroupsDiscussRepliesEdit.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrGroupsDiscussRepliesEditError) {
	FKFlickrGroupsDiscussRepliesEditError_TopicNotFound = 1,		 /* The topic_id is invalid */
	FKFlickrGroupsDiscussRepliesEditError_ReplyNotFound = 2,		 /* The reply_id is invalid. */
	FKFlickrGroupsDiscussRepliesEditError_MissingRequiredArguments = 3,		 /* The topic_id and reply_id are required. */
	FKFlickrGroupsDiscussRepliesEditError_CannotEditReply = 4,		 /* Replies can only be edited by their owner. */
	FKFlickrGroupsDiscussRepliesEditError_CannotPostToGroup = 5,		 /* Either this account is not a member of the group, or discussion in this group is disabled. */
	FKFlickrGroupsDiscussRepliesEditError_SSLIsRequired = 95,		 /* SSL is required to access the Flickr API. */
	FKFlickrGroupsDiscussRepliesEditError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrGroupsDiscussRepliesEditError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrGroupsDiscussRepliesEditError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrGroupsDiscussRepliesEditError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrGroupsDiscussRepliesEditError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrGroupsDiscussRepliesEditError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrGroupsDiscussRepliesEditError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrGroupsDiscussRepliesEditError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrGroupsDiscussRepliesEditError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrGroupsDiscussRepliesEditError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrGroupsDiscussRepliesEditError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrGroupsDiscussRepliesEditError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Edit a topic reply.




*/
@interface FKFlickrGroupsDiscussRepliesEdit : NSObject <FKFlickrAPIMethod>

/* Pass in the group id to where the topic belongs. Can be NSID or group alias. Making this parameter optional for legacy reasons, but it is highly recommended to pass this in to get faster performance.  */
@property (nonatomic, copy) NSString *group_id; /* (Required) */

/* The ID of the topic the post is in. */
@property (nonatomic, copy) NSString *topic_id; /* (Required) */

/* The ID of the reply post to edit. */
@property (nonatomic, copy) NSString *reply_id; /* (Required) */

/* The message to edit the post with. */
@property (nonatomic, copy) NSString *message; /* (Required) */


@end
