//
//  FKFlickrPeopleGetPublicGroups.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrPeopleGetPublicGroupsError) {
	FKFlickrPeopleGetPublicGroupsError_UserNotFound = 1,		 /* The user id passed did not match a Flickr user. */
	FKFlickrPeopleGetPublicGroupsError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPeopleGetPublicGroupsError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPeopleGetPublicGroupsError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrPeopleGetPublicGroupsError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPeopleGetPublicGroupsError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPeopleGetPublicGroupsError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPeopleGetPublicGroupsError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPeopleGetPublicGroupsError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Returns the list of public groups a user is a member of.

<p>The <code>admin</code> attribute indicates whether the user is an administrator of the group. The <code>eighteenplus</code> attribute indicates if the group is visible to members over 18 only. The <code>invite_only</code> attribute indicates whether a user can join the group without administrator approval.</p>

Response:

<groups>
	<group nsid="34427469792@N01" name="FlickrCentral"
		admin="0" eighteenplus="0" invitation_only="0" /> 
	<group nsid="37114057624@N01" name="Cal's Test Group"
		admin="1" eighteenplus="0" invitation_only="1" /> 
	<group nsid="34955637532@N01" name="18+ Group"
		admin="1" eighteenplus="1" invitation_only="0" /> 
</groups>

*/
@interface FKFlickrPeopleGetPublicGroups : NSObject <FKFlickrAPIMethod>

/* The NSID of the user to fetch groups for. */
@property (nonatomic, copy) NSString *user_id; /* (Required) */

/* Include public groups that require <a href="http://www.flickr.com/help/groups/#10">an invitation</a> or administrator approval to join. */
@property (nonatomic, copy) NSString *invitation_only;


@end
