//
//  FKFlickrPhotosSetDates.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrPhotosSetDatesError) {
	FKFlickrPhotosSetDatesError_PhotoNotFound = 1,		 /* The photo id was not the id of a valid photo belonging to the calling user. */
	FKFlickrPhotosSetDatesError_NotEnoughArguments = 2,		 /* No dates were specified to be changed. */
	FKFlickrPhotosSetDatesError_InvalidGranularity = 3,		 /* The value passed for 'granularity' was not a valid flickr date granularity. */
	FKFlickrPhotosSetDatesError_InvalidDate_posted = 4,		 /* The date posted is invalid, its in the past. */
	FKFlickrPhotosSetDatesError_InvalidDateTakenFormat = 5,		 /* The date taken is not in the format that we support. */
	FKFlickrPhotosSetDatesError_InvalidDateTaken = 6,		 /* The date taken passed is invalid. It may be in the future or way in the past.  */
	FKFlickrPhotosSetDatesError_SSLIsRequired = 95,		 /* SSL is required to access the Flickr API. */
	FKFlickrPhotosSetDatesError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrPhotosSetDatesError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrPhotosSetDatesError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrPhotosSetDatesError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrPhotosSetDatesError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPhotosSetDatesError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPhotosSetDatesError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrPhotosSetDatesError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPhotosSetDatesError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPhotosSetDatesError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPhotosSetDatesError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPhotosSetDatesError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Set one or both of the dates for a photo.




*/
@interface FKFlickrPhotosSetDates : NSObject <FKFlickrAPIMethod>

/* The id of the photo to edit dates for. */
@property (nonatomic, copy) NSString *photo_id; /* (Required) */

/* The date the photo was uploaded to flickr (see the <a href="/services/api/misc.dates.html">dates documentation</a>) */
@property (nonatomic, copy) NSString *date_posted;

/* The date the photo was taken (see the <a href="/services/api/misc.dates.html">dates documentation</a>) */
@property (nonatomic, copy) NSString *date_taken;

/* The granularity of the date the photo was taken (see the <a href="/services/api/misc.dates.html">dates documentation</a>) */
@property (nonatomic, copy) NSString *date_taken_granularity;


@end
