//
//  FKFlickrPhotosGeoBatchCorrectLocation.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrPhotosGeoBatchCorrectLocationError) {
	FKFlickrPhotosGeoBatchCorrectLocationError_RequiredArgumentsMissing = 1,		 /* Some or all of the required arguments were not supplied. */
	FKFlickrPhotosGeoBatchCorrectLocationError_NotAValidLatitude = 2,		 /* The latitude argument failed validation. */
	FKFlickrPhotosGeoBatchCorrectLocationError_NotAValidLongitude = 3,		 /* The longitude argument failed validation. */
	FKFlickrPhotosGeoBatchCorrectLocationError_NotAValidAccuracy = 4,		 /* The accuracy argument failed validation. */
	FKFlickrPhotosGeoBatchCorrectLocationError_NotAValidPlacesID = 5,		 /* An invalid Places (or WOE) ID was passed with the API call. */
	FKFlickrPhotosGeoBatchCorrectLocationError_NoPhotosGeotaggedAtThatLocation = 6,		 /* There were no geotagged photos found for the authed user at the supplied latitude, longitude and accuracy. */
	FKFlickrPhotosGeoBatchCorrectLocationError_SSLIsRequired = 95,		 /* SSL is required to access the Flickr API. */
	FKFlickrPhotosGeoBatchCorrectLocationError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrPhotosGeoBatchCorrectLocationError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrPhotosGeoBatchCorrectLocationError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrPhotosGeoBatchCorrectLocationError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrPhotosGeoBatchCorrectLocationError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPhotosGeoBatchCorrectLocationError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPhotosGeoBatchCorrectLocationError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrPhotosGeoBatchCorrectLocationError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPhotosGeoBatchCorrectLocationError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPhotosGeoBatchCorrectLocationError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPhotosGeoBatchCorrectLocationError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPhotosGeoBatchCorrectLocationError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Correct the places hierarchy for all the photos for a user at a given latitude, longitude and accuracy.<br /><br />

Batch corrections are processed in a delayed queue so it may take a few minutes before the changes are reflected in a user's photos.




*/
@interface FKFlickrPhotosGeoBatchCorrectLocation : NSObject <FKFlickrAPIMethod>

/* The latitude of the photos to be update whose valid range is -90 to 90. Anything more than 6 decimal places will be truncated. */
@property (nonatomic, copy) NSString *lat; /* (Required) */

/* The longitude of the photos to be updated whose valid range is -180 to 180. Anything more than 6 decimal places will be truncated. */
@property (nonatomic, copy) NSString *lon; /* (Required) */

/* Recorded accuracy level of the photos to be updated. World level is 1, Country is ~3, Region ~6, City ~11, Street ~16. Current range is 1-16. Defaults to 16 if not specified. */
@property (nonatomic, copy) NSString *accuracy; /* (Required) */

/* A Flickr Places ID. (While optional, you must pass either a valid Places ID or a WOE ID.) */
@property (nonatomic, copy) NSString *place_id;

/* A Where On Earth (WOE) ID. (While optional, you must pass either a valid Places ID or a WOE ID.) */
@property (nonatomic, copy) NSString *woe_id;


@end
