//
//  FKFlickrPhotosGeoSetLocation.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrPhotosGeoSetLocationError) {
	FKFlickrPhotosGeoSetLocationError_PhotoNotFound = 1,		 /* The photo id was either invalid or was for a photo not viewable by the calling user. */
	FKFlickrPhotosGeoSetLocationError_RequiredArgumentsMissing = 2,		 /* Some or all of the required arguments were not supplied. */
	FKFlickrPhotosGeoSetLocationError_NotAValidLatitude = 3,		 /* The latitude argument failed validation. */
	FKFlickrPhotosGeoSetLocationError_NotAValidLongitude = 4,		 /* The longitude argument failed validation. */
	FKFlickrPhotosGeoSetLocationError_NotAValidAccuracy = 5,		 /* The accuracy argument failed validation. */
	FKFlickrPhotosGeoSetLocationError_ServerError = 6,		 /* There was an unexpected problem setting location information to the photo. */
	FKFlickrPhotosGeoSetLocationError_UserHasNotConfiguredDefaultViewingSettingsForLocationData = 7,		 /* Before users may assign location data to a photo they must define who, by default, may view that information. Users can edit this preference at <a href="http://www.flickr.com/account/geo/privacy/">http://www.flickr.com/account/geo/privacy/</a> */
	FKFlickrPhotosGeoSetLocationError_SSLIsRequired = 95,		 /* SSL is required to access the Flickr API. */
	FKFlickrPhotosGeoSetLocationError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrPhotosGeoSetLocationError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrPhotosGeoSetLocationError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrPhotosGeoSetLocationError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrPhotosGeoSetLocationError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPhotosGeoSetLocationError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPhotosGeoSetLocationError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrPhotosGeoSetLocationError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPhotosGeoSetLocationError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPhotosGeoSetLocationError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPhotosGeoSetLocationError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPhotosGeoSetLocationError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Sets the geo data (latitude and longitude and, optionally, the accuracy level) for a photo.

Before users may assign location data to a photo they must define who, by default, may view that information. Users can edit this preference at <a href="http://www.flickr.com/account/geo/privacy/">http://www.flickr.com/account/geo/privacy/</a>. If a user has not set this preference, the API method will return an error.




*/
@interface FKFlickrPhotosGeoSetLocation : NSObject <FKFlickrAPIMethod>

/* The id of the photo to set location data for. */
@property (nonatomic, copy) NSString *photo_id; /* (Required) */

/* The latitude whose valid range is -90 to 90. Anything more than 6 decimal places will be truncated. */
@property (nonatomic, copy) NSString *lat; /* (Required) */

/* The longitude whose valid range is -180 to 180. Anything more than 6 decimal places will be truncated. */
@property (nonatomic, copy) NSString *lon; /* (Required) */

/* Recorded accuracy level of the location information. World level is 1, Country is ~3, Region ~6, City ~11, Street ~16. Current range is 1-16. Defaults to 16 if not specified. */
@property (nonatomic, copy) NSString *accuracy;

/* Context is a numeric value representing the photo's geotagginess beyond latitude and longitude. For example, you may wish to indicate that a photo was taken "indoors" or "outdoors". <br /><br />
The current list of context IDs is :<br /><br/>
<ul>
<li><strong>0</strong>, not defined.</li>
<li><strong>1</strong>, indoors.</li>
<li><strong>2</strong>, outdoors.</li>
</ul><br />
The default context for geotagged photos is 0, or "not defined"
 */
@property (nonatomic, copy) NSString *context;


@end
