//
//  FKFlickrPlacesGetShapeHistory.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrPlacesGetShapeHistoryError) {
	FKFlickrPlacesGetShapeHistoryError_RequiredParameterMissing = 1,		 /* One or more required parameter is missing from the API call. */
	FKFlickrPlacesGetShapeHistoryError_NotAValidPlacesID = 2,		 /* An invalid Places (or WOE) ID was passed with the API call. */
	FKFlickrPlacesGetShapeHistoryError_PlaceNotFound = 3,		 /* No place could be found for the Places (or WOE) ID passed to the API call. */
	FKFlickrPlacesGetShapeHistoryError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPlacesGetShapeHistoryError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPlacesGetShapeHistoryError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrPlacesGetShapeHistoryError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPlacesGetShapeHistoryError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPlacesGetShapeHistoryError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPlacesGetShapeHistoryError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPlacesGetShapeHistoryError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Return an historical list of all the shape data generated for a Places or Where on Earth (WOE) ID.


Response:

<shapes total="2" woe_id="3534" place_id="4hLQygSaBJ92" place_type="locality" place_type_id="7">
   <shapedata created="1223513357" alpha="0.012359619140625"
      count_points="34778" count_edges="52" is_donuthole="0">
      <polylines>
         <polyline>
            45.427627563477,-73.589645385742 45.428966522217,-73.587898254395, etc...
         </polyline>
      </polylines>
      <urls>
         <shapefile>
         http://farm4.static.flickr.com/3228/shapefiles/3534_20081111_0a8afe03c5.tar.gz
         </shapefile>
      </urls>
   </shapedata>
   <!-- and so on... -->
</shapes>

*/
@interface FKFlickrPlacesGetShapeHistory : NSObject <FKFlickrAPIMethod>

/* A Flickr Places ID. <span style="font-style:italic;">(While optional, you must pass either a valid Places ID or a WOE ID.)</span> */
@property (nonatomic, copy) NSString *place_id;

/* A Where On Earth (WOE) ID. <span style="font-style:italic;">(While optional, you must pass either a valid Places ID or a WOE ID.)</span> */
@property (nonatomic, copy) NSString *woe_id;


@end
