//
//  FKFlickrPushUnsubscribe.m
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrPushUnsubscribe.h" 

@implementation FKFlickrPushUnsubscribe



- (BOOL) needsLogin {
    return YES;
}

- (BOOL) needsSigning {
    return YES;
}

- (FKPermission) requiredPerms {
    return 0;
}

- (NSString *) name {
    return @"flickr.push.unsubscribe";
}

- (BOOL) isValid:(NSError **)error {
    BOOL valid = YES;
	NSMutableString *errorDescription = [[NSMutableString alloc] initWithString:@"You are missing required params: "];
	if(!self.topic) {
		valid = NO;
		[errorDescription appendString:@"'topic', "];
	}
	if(!self.callback) {
		valid = NO;
		[errorDescription appendString:@"'callback', "];
	}
	if(!self.verify) {
		valid = NO;
		[errorDescription appendString:@"'verify', "];
	}

	if(error != NULL) {
		if(!valid) {	
			NSDictionary *userInfo = @{NSLocalizedDescriptionKey: errorDescription};
			*error = [NSError errorWithDomain:FKFlickrKitErrorDomain code:FKErrorInvalidArgs userInfo:userInfo];
		}
	}
    return valid;
}

- (NSDictionary *) args {
    NSMutableDictionary *args = [NSMutableDictionary dictionary];
	if(self.topic) {
		[args setValue:self.topic forKey:@"topic"];
	}
	if(self.callback) {
		[args setValue:self.callback forKey:@"callback"];
	}
	if(self.verify) {
		[args setValue:self.verify forKey:@"verify"];
	}
	if(self.verify_token) {
		[args setValue:self.verify_token forKey:@"verify_token"];
	}

    return [args copy];
}

- (NSString *) descriptionForError:(NSInteger)error {
    switch(error) {
		case FKFlickrPushUnsubscribeError_RequiredParameterMissing:
			return @"Required parameter missing";
		case FKFlickrPushUnsubscribeError_InvalidParameterValue:
			return @"Invalid parameter value";
		case FKFlickrPushUnsubscribeError_CallbackFailedOrInvalidResponse:
			return @"Callback failed or invalid response";
		case FKFlickrPushUnsubscribeError_SubscriptionAwaitingVerificationCallbackResponseTryAgainLater:
			return @"Subscription awaiting verification callback response - try again later";
		case FKFlickrPushUnsubscribeError_SubscriptionNotFound:
			return @"Subscription not found";
		case FKFlickrPushUnsubscribeError_SSLIsRequired:
			return @"SSL is required";
		case FKFlickrPushUnsubscribeError_InvalidSignature:
			return @"Invalid signature";
		case FKFlickrPushUnsubscribeError_MissingSignature:
			return @"Missing signature";
		case FKFlickrPushUnsubscribeError_LoginFailedOrInvalidAuthToken:
			return @"Login failed / Invalid auth token";
		case FKFlickrPushUnsubscribeError_UserNotLoggedInOrInsufficientPermissions:
			return @"User not logged in / Insufficient permissions";
		case FKFlickrPushUnsubscribeError_InvalidAPIKey:
			return @"Invalid API Key";
		case FKFlickrPushUnsubscribeError_ServiceCurrentlyUnavailable:
			return @"Service currently unavailable";
		case FKFlickrPushUnsubscribeError_WriteOperationFailed:
			return @"Write operation failed";
		case FKFlickrPushUnsubscribeError_FormatXXXNotFound:
			return @"Format \"xxx\" not found";
		case FKFlickrPushUnsubscribeError_MethodXXXNotFound:
			return @"Method \"xxx\" not found";
		case FKFlickrPushUnsubscribeError_InvalidSOAPEnvelope:
			return @"Invalid SOAP envelope";
		case FKFlickrPushUnsubscribeError_InvalidXMLRPCMethodCall:
			return @"Invalid XML-RPC Method Call";
		case FKFlickrPushUnsubscribeError_BadURLFound:
			return @"Bad URL found";
  
		default:
			return @"Unknown error code";
    }
}

@end
