//
//  FKFlickrStatsGetCollectionReferrers.m
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrStatsGetCollectionReferrers.h" 

@implementation FKFlickrStatsGetCollectionReferrers



- (BOOL) needsLogin {
    return YES;
}

- (BOOL) needsSigning {
    return YES;
}

- (FKPermission) requiredPerms {
    return 0;
}

- (NSString *) name {
    return @"flickr.stats.getCollectionReferrers";
}

- (BOOL) isValid:(NSError **)error {
    BOOL valid = YES;
	NSMutableString *errorDescription = [[NSMutableString alloc] initWithString:@"You are missing required params: "];
	if(!self.date) {
		valid = NO;
		[errorDescription appendString:@"'date', "];
	}
	if(!self.domain) {
		valid = NO;
		[errorDescription appendString:@"'domain', "];
	}

	if(error != NULL) {
		if(!valid) {	
			NSDictionary *userInfo = @{NSLocalizedDescriptionKey: errorDescription};
			*error = [NSError errorWithDomain:FKFlickrKitErrorDomain code:FKErrorInvalidArgs userInfo:userInfo];
		}
	}
    return valid;
}

- (NSDictionary *) args {
    NSMutableDictionary *args = [NSMutableDictionary dictionary];
	if(self.date) {
		[args setValue:self.date forKey:@"date"];
	}
	if(self.domain) {
		[args setValue:self.domain forKey:@"domain"];
	}
	if(self.collection_id) {
		[args setValue:self.collection_id forKey:@"collection_id"];
	}
	if(self.per_page) {
		[args setValue:self.per_page forKey:@"per_page"];
	}
	if(self.page) {
		[args setValue:self.page forKey:@"page"];
	}

    return [args copy];
}

- (NSString *) descriptionForError:(NSInteger)error {
    switch(error) {
		case FKFlickrStatsGetCollectionReferrersError_UserDoesNotHaveStats:
			return @"User does not have stats";
		case FKFlickrStatsGetCollectionReferrersError_NoStatsForThatDate:
			return @"No stats for that date";
		case FKFlickrStatsGetCollectionReferrersError_InvalidDate:
			return @"Invalid date";
		case FKFlickrStatsGetCollectionReferrersError_CollectionNotFound:
			return @"Collection not found";
		case FKFlickrStatsGetCollectionReferrersError_InvalidDomain:
			return @"Invalid domain";
		case FKFlickrStatsGetCollectionReferrersError_SSLIsRequired:
			return @"SSL is required";
		case FKFlickrStatsGetCollectionReferrersError_InvalidSignature:
			return @"Invalid signature";
		case FKFlickrStatsGetCollectionReferrersError_MissingSignature:
			return @"Missing signature";
		case FKFlickrStatsGetCollectionReferrersError_LoginFailedOrInvalidAuthToken:
			return @"Login failed / Invalid auth token";
		case FKFlickrStatsGetCollectionReferrersError_UserNotLoggedInOrInsufficientPermissions:
			return @"User not logged in / Insufficient permissions";
		case FKFlickrStatsGetCollectionReferrersError_InvalidAPIKey:
			return @"Invalid API Key";
		case FKFlickrStatsGetCollectionReferrersError_ServiceCurrentlyUnavailable:
			return @"Service currently unavailable";
		case FKFlickrStatsGetCollectionReferrersError_WriteOperationFailed:
			return @"Write operation failed";
		case FKFlickrStatsGetCollectionReferrersError_FormatXXXNotFound:
			return @"Format \"xxx\" not found";
		case FKFlickrStatsGetCollectionReferrersError_MethodXXXNotFound:
			return @"Method \"xxx\" not found";
		case FKFlickrStatsGetCollectionReferrersError_InvalidSOAPEnvelope:
			return @"Invalid SOAP envelope";
		case FKFlickrStatsGetCollectionReferrersError_InvalidXMLRPCMethodCall:
			return @"Invalid XML-RPC Method Call";
		case FKFlickrStatsGetCollectionReferrersError_BadURLFound:
			return @"Bad URL found";
  
		default:
			return @"Unknown error code";
    }
}

@end
